Benefits

Here is where all the Benefits are gonna be managed

Create an Benefit

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Name of the benefit

discountPercentagenumber · min: 100 · max: 10000Optional

Discount percentage multiplied by 100. Therefore, to create a benefit that gives a 10% discount, an input of 1000 is required for this property

givesWhitelistAccessbooleanRequired

If this benefit gives whitelist access

maxUsageLimitnumberRequired

The max amount of times this benefit can be used by a user

Responses
post
/api/v1/benefit
201Success

No content

Get detailed Benefit info

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200Success

No content

get
/api/v1/benefit/{id}/manage
200Success

No content

List Benefits

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
takenumberOptionalDefault: 36
skipnumberOptionalDefault: 0
Responses
chevron-right
200Success

No content

get
/api/v1/benefit/manage
200Success

No content

Check if a user has access to your Benefits

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
userWalletsstring[]Required

Array of wallets that are gonna be checked to see if they have access to a benefit

Responses
post
/api/v1/benefit/check/manage
201Success

Update an Benefit

patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringOptional

Name of the benefit

discountPercentagenumberOptional

Discount percentage multiplied by 100. Therefore, to create a benefit that gives a 10% discount, an input of 1000 is required for this property

givesWhitelistAccessbooleanRequired

If this benefit gives whitelist access

Responses
chevron-right
200Success

No content

patch
/api/v1/benefit/{id}
200Success

No content

Remove an Benefit

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200Success

No content

delete
/api/v1/benefit/{id}
200Success

No content

Last updated